Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Interface TransactionParameterBuffer

All Superinterfaces:
  `Iterable<Parameter>`, `ParameterBuffer`, `Serializable`

All Known Implementing Classes:
  `TransactionParameterBufferImpl`

public interface TransactionParameterBuffer extends ParameterBuffer
Instances of this interface represent Transaction Parameter Buffer from the Firebird API.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `copyTo(TransactionParameterBuffer destination)`
  Copies the contents of this transaction parameter buffer to `destination`.
  `TransactionParameterBuffer`
  `deepCopy()`
  Make a deep copy of this object.
  `default boolean`
  `isAutoCommit()`
  Returns if this TPB has the auto-commit flag set.
  `default boolean`
  `isReadOnly()`
  Determine whether this TPB is set to read-only.
  `default void`
  `setAutoCommit(boolean autoCommit)`
  Sets the Firebird auto-commit flag on this TPB.
  `default void`
  `setReadOnly(boolean readOnly)`
  Set the read-only flag (`isc_tpb_read`) or read/write flag (`isc_tpb_write`) on this TPB.

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

  `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

- ## Method Details

  - ### deepCopy

    TransactionParameterBuffer deepCopy()
    Make a deep copy of this object.
    Returns:
      deep copy of this object.

  - ### copyTo

    default void copyTo(TransactionParameterBuffer destination)
    Copies the contents of this transaction parameter buffer to `destination`.
    Parameters:
      `destination` - destination transaction parameter buffer
    Since:
      6

  - ### setReadOnly

    default void setReadOnly(boolean readOnly)
    Set the read-only flag (`isc_tpb_read`) or read/write flag (`isc_tpb_write`) on this TPB.
    Parameters:
      `readOnly` - if `true`, this TPB will be set to read-only, otherwise it will be read/write
    Since:
      6

  - ### isReadOnly

    default boolean isReadOnly()
    Determine whether this TPB is set to read-only.
    Returns:
      `true` if this TPB is read-only, otherwise `false`
    Since:
      6

  - ### setAutoCommit

    default void setAutoCommit(boolean autoCommit)
    Sets the Firebird auto-commit flag on this TPB.

    This shouldn't be confused with the normal JDBC auto-commit behavior. Effectively, setting this to `true` will result in Firebird using commit retain after each executed statement.

    Parameters:
      `autoCommit` - `true` add the auto-commit flag, otherwise remove it
    Since:
      6
    See Also:
      - `isAutoCommit()`

  - ### isAutoCommit

    default boolean isAutoCommit()
    Returns if this TPB has the auto-commit flag set.
    Returns:
      `true` if this TPB has the auto-commit flag, `false` otherwise
    Since:
      6
    See Also:
      - `setAutoCommit(boolean)`